$AdfDhtmlDialogPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlDialogPeer$$$$$GetSubIdDomElement$$($buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$) {
  var $component$$674$$ = this.$getComponent$(), $domElem$$ = $AdfDhtmlDialogPeer$$.$superclass$.$GetSubIdDomElement$.call(this, $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$);
  if ($domElem$$) {
    return $domElem$$;
  }
  if ("title_icon" == $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$) {
    return $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$ = $component$$674$$.$getClientId$(), $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$ = $AdfRichUIPeer$$.$CreateSubId$($buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$, "_ticn"), $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$ = $AdfAgent$$.$AGENT$.getElementById($buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$), 
    $AdfDomUtils$$.$getFirstDescendentElement$($buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$, "img");
  }
  $buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$ = this.$getClass$().$_BUTTON_ID_MAP$[$buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$];
  return this.$_returnButtonElement$($buttonId$$4_clientId$$104_dialogIconHolder_dialogIconHolderId_subElementId$$6$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlDialogPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlDialogPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlDialogPeer$$.prototype.$_returnButtonElement$ = function $$AdfDhtmlDialogPeer$$$$$_returnButtonElement$$($buttonComp_buttonId$$5$$) {
  var $buttonPeer_component$$675$$ = this.$getComponent$(), $clientId$$105$$ = $buttonPeer_component$$675$$.$getClientId$();
  return $AdfDhtmlDialogPeer$$.$_usesUnifiedButtons$($clientId$$105$$) ? ($buttonComp_buttonId$$5$$ = $AdfPage$$.$PAGE$.$findComponent$($clientId$$105$$ + "_" + $buttonComp_buttonId$$5$$), null != $buttonComp_buttonId$$5$$ ? ($buttonPeer_component$$675$$ = $buttonComp_buttonId$$5$$.$getPeer$(), $buttonPeer_component$$675$$.bind($buttonComp_buttonId$$5$$), $buttonPeer_component$$675$$.$getDomElement$()) : null) : $AdfSubIdUtils$$.$getSubIdElementById$($buttonPeer_component$$675$$, $buttonComp_buttonId$$5$$);
};
$AdfDhtmlDialogPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlDialogPeer$$$$$GetBestMatchSubId$$($domElement$$57$$) {
  var $subId$$15$$ = $AdfDhtmlDialogPeer$$.$superclass$.$GetBestMatchSubId$.call(this, $domElement$$57$$);
  if (!$subId$$15$$) {
    var $buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$ = this.$getComponent$().$getClientId$(), $buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$ = $AdfRichUIPeer$$.$CreateSubId$($buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$, "_ticn"), $buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$ = $AdfAgent$$.$AGENT$.getElementById($buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$);
    if ($AdfDomUtils$$.$isAncestorOrSelf$($buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$, $domElement$$57$$)) {
      $subId$$15$$ = "title_icon";
    } else {
      for (buttonId in $AdfDhtmlDialogPeer$$.$_BUTTON_ID_MAP$) {
        if (($buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$ = this.$_returnButtonElement$($AdfDhtmlDialogPeer$$.$_BUTTON_ID_MAP$[buttonId])) && $AdfDomUtils$$.$isAncestorOrSelf$($buttonDom$$1_clientId$$106_dialogIconHolder$$1_dialogIconHolderId$$1$$, $domElement$$57$$)) {
          $subId$$15$$ = buttonId;
          break;
        }
      }
    }
  }
  return $subId$$15$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlDialogPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlDialogPeer$$.prototype.$GetBestMatchSubId$});
$AdfDhtmlDialogPeer$$.$_BUTTON_ID_MAP$ = {ok_button:"ok", yes_button:"yes", no_button:"no", cancel_button:"cancel"};
